/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/
package com.togethersoft.modules.patterns.JAVA.CLASS.HP_E_Speak.Client;

import  com.togethersoft.openapi.sci.SciObject;
import  com.togethersoft.openapi.util.propertyMap.PropertyMap;
import  com.togethersoft.openapi.util.enum.EmptyEnumeration;

import  java.util.Enumeration;
/**
 * @author TogetherSoft
 */
public class LeafSciTemplate extends AbstractSciTemplate {

        public LeafSciTemplate(PropertyMap properties) {
                super(properties);
                }

        public boolean prepare(SciObject target) {
                return true;
                }

        public SciObject generate(SciObject target) {
                return target;
                }

        public boolean canGenerate() {
                return true;
                }

        public final Object addTemplate(SciTemplate template) {
                return new Integer(-1);
                }

        public final SciTemplate removeTemplate(Object id) {
                return null;
                }

        public final Enumeration templates() {
                return EmptyEnumeration.getInstance();
                }
        }


